Chatbots
Chatbot flows, publishing and sessions.
- GET
/chatbots - POST
/chatbots - GET
/chatbots/{id} - PATCH
/chatbots/{id} - DELETE
/chatbots/{id} - POST
/chatbots/{id}/publish - POST
/chatbots/{id}/unpublish - GET
/chatbots/{id}/sessions
List chatbots
GET
/chatbotsScope
chatbot:viewRead-onlyResponses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/chatbots" \ -H "Authorization: Bearer $KLERC_TOKEN"Create a chatbot
POST
/chatbotsScope
chatbot:manageWrites dataRequest body
| Field | Type |
|---|---|
namerequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/chatbots" \ -H "Authorization: Bearer $KLERC_TOKEN" \ -H "Content-Type: application/json" \ -d '{"name":"…"}'Get a chatbot
GET
/chatbots/{id}Scope
chatbot:viewRead-onlyPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/chatbots/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"Update a chatbot
PATCH
/chatbots/{id}Scope
chatbot:manageWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/chatbots/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"Delete a chatbot
DELETE
/chatbots/{id}Scope
chatbot:manageWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/chatbots/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"Publish a chatbot
POST
/chatbots/{id}/publishScope
chatbot:manageWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/chatbots/{id}/publish" \ -H "Authorization: Bearer $KLERC_TOKEN"Unpublish a chatbot
POST
/chatbots/{id}/unpublishScope
chatbot:manageWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/chatbots/{id}/unpublish" \ -H "Authorization: Bearer $KLERC_TOKEN"List a chatbot's sessions
GET
/chatbots/{id}/sessionsScope
chatbot:viewRead-onlyPath parameters
| Name | Type |
|---|---|
idrequired | string |
Query parameters
| Name | Type |
|---|---|
limit | number |
cursor | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/chatbots/{id}/sessions?limit=25" \ -H "Authorization: Bearer $KLERC_TOKEN"